{{ "<!-- details page -->" | safeHTML }}
<section class="single section-sm pb-0">
  <div class="container">
    <div class="row">
      <div class="col-lg-2">
        <div class="sidebar">
          <ul class="list-styled">
            {{ $currentNode := . }}
            <a class="back-btn" href="{{ .Site.BaseURL | relLangURL }}"></a>
            {{range .Site.Home.Sections.ByWeight}}
              {{ if eq .FirstSection $currentNode.FirstSection }}
              {{ template "section-tree-nav" dict "sect" . "currentnode" $currentNode}}
              {{ end }}
            {{ end }}
          </ul>
        </div>
      </div>
      <div class="col-lg-8">
        <div class="p-lg-5 p-4 bg-white">
          <h2 class="mb-5">{{ .Title }}</h2>
          {{ if .Content }}
          <div class="content">{{.Content}}</div>
          {{ else }}
          <div class="bg-light p-4">
            <ul class="page-list">
              {{ template "section-tree-nav" dict "sect" . "currentnode" $currentNode }}
            </ul>
          </div>
          {{ end }}
	  <p class="post-meta border-bottom pb-3 mb-0 mt-3"><i class="far fa-clock"></i> {{ now.Format "2006-01-02" }}</p>
          <nav class="pagination mt-3">
            <!-- Next prev page -->
            {{ $currentNode := . }}
            {{ template "menu-nextprev" dict "menu" .Site.Home "currentnode" $currentNode }}
            {{ define "menu-nextprev" }}
            {{$currentNode := .currentnode }}
            {{ if ne .menu.Params.hidden true}}
            {{if hasPrefix $currentNode.Permalink .menu.Permalink }}
            {{ $currentNode.Scratch.Set "NextPageOK" "OK" }}
            {{ $currentNode.Scratch.Set "prevPage" ($currentNode.Scratch.Get "prevPageTmp") }}
            {{else}}
            {{if eq ($currentNode.Scratch.Get "NextPageOK") "OK"}}
            {{ $currentNode.Scratch.Set "NextPageOK" nil }}
            {{ $currentNode.Scratch.Set "nextPage" .menu }}
            {{end}}
            {{end}}
            {{ $currentNode.Scratch.Set "prevPageTmp" .menu }}

            {{ $currentNode.Scratch.Set "pages" .menu.Pages }}
            {{ if .menu.IsHome}}
            {{ $currentNode.Scratch.Set "pages" .menu.Sections }}
            {{ else if .menu.Sections}}
            {{ $currentNode.Scratch.Set "pages" (.menu.Pages | union .menu.Sections) }}
            {{end}}
            {{ $pages := ($currentNode.Scratch.Get "pages") }}

            {{ range $pages.ByWeight  }}
            {{ template "menu-nextprev" dict "menu" . "currentnode" $currentNode }}
            {{end}}
            {{ end }}
            {{ end }}

            {{with ($.Scratch.Get "prevPage")}}
            <a class="nav nav-prev" href="{{.Permalink }}"><i class="ti-arrow-left mr-2"></i> <span class="d-none d-md-block">{{.Title}}</span></a>
            {{end}}
            {{with ($.Scratch.Get "nextPage")}}
            <a class="nav nav-next" href="{{.Permalink }}"> <span class="d-none d-md-block">{{.Title}}</span><i class="ti-arrow-right ml-2"></i></a>
            {{end}}
          </nav>
        </div>
      </div>
      <div class="col-lg-2">
        <div class="sidebar">
          <ul class="submenu-styled">
            <div class="submenu">
            	{{.TableOfContents}}
	          </div>
          </ul>
          <hr>
          <ul>
            <div class="code-submenu">
              {{ $.Scratch.Set "GitPath" .Site.Params.git_repo }}
              <li><a href="{{$.Scratch.Get "GitPath"}}">Voir source <i class="fab fa-gitlab"></i></a></li>
              {{ with .Path }}
              <li><a href="{{$.Scratch.Get "GitPath"}}/edit/master/content/{{ . }}">Éditer <i class="fab fa-gitlab"></i></a></li>
              {{ end }}
            </div>
          </ul>
        </div>
      </div>
    </div>
  </div>
</section>
{{ "<!-- /details page -->" | safeHTML }}

<!-- templates -->
{{ define "section-tree-nav" }}
{{ $showvisitedlinks := .showvisitedlinks }}
{{ $currentNode := .currentnode }}
{{with .sect}}
{{safeHTML .Params.head}}
{{ $fileUniqueID := "" }}
{{ with .File }}{{ $fileUniqueID = .UniqueID }}{{ end }}
{{ $currentNodeFileUniqueID := "" }}
{{ with $currentNode.File }}{{ $currentNodeFileUniqueID = .UniqueID }}{{ end }}
<li data-nav-id="{{.Permalink}}" title="{{.Title}}" class="sidelist
  {{if eq $fileUniqueID $currentNodeFileUniqueID}}active{{end}}">
  <a href="{{.Permalink}}">
    {{safeHTML .Params.Pre}}{{or .Params.menuTitle .LinkTitle .Title}}{{safeHTML .Params.Post}}
  </a>
  {{ $numberOfPages := (add (len .Pages) (len .Sections)) }}
  {{ if ne $numberOfPages 0 }}
    <ul>
      {{ range .Pages.ByWeight }}
        {{ if and .Params.hidden (not $.showhidden) }}
        {{else}}
          {{ template "section-tree-nav" dict "sect" . "currentnode" $currentNode }}
        {{end}}
      {{end}}
    </ul>
  {{ end }}
</li>
{{ end }}
{{ end }}
